package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备测点
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicEquipmentPoint extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 实时库名称
     */
    private String aname;

    /**
     * 型号
     */
    private String model;

    /**
     * 单位
     */
    private String valueUnit;

    /**
     * 英文名称
     */
    private String englishName;

    /**
     * 类型编号
     */
    private String typeId;

    /**
     * 所属型号
     */
    private String modelId;

    /**
     * 最大值
     */
    private BigDecimal maxval;

    /**
     * 最小值
     */
    private BigDecimal minval;

    /**
     * 合理最大值
     */
    private BigDecimal reasonableMaxval;

    /**
     * 合理最小值
     */
    private BigDecimal reasonableMinval;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 统一编码
     */
    private String uniformCode;

    /**
     * 短ID
     */
    private String shortId;

    /**
     * 长ID
     */
    private String longId;

    /**
     * 场站编号
     */
    private String windpowerstationId;

    /**
     * 实时配置编号
     */
    private String realtimeId;

    /**
     * 部件编号
     */
    private String logicalUnitId;

    /**
     * 集团测点编号
     */
    private String groupPointId;

    /**
     * 具体名称
     */
    private String specificName;

    /**
     * 系数
     */
    private BigDecimal coefficient;


}
