package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 日专题分析
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEcoWindspecificInfoDay extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 场站
     */
    private String windpowerstationId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 理论发电量
     */
    private BigDecimal theoreticalcapacity;

    /**
     * 实际发电量
     */
    private BigDecimal generatingcapacity;

    /**
     * 风能利用率
     */
    private BigDecimal windenergyRate;

    /**
     * 维护损失电量
     */
    private BigDecimal daynhwhssdl;

    /**
     * 维护损失率
     */
    private BigDecimal daynhwhssrate;

    /**
     * 故障损失电量
     */
    private BigDecimal daynhgzssdl;

    /**
     * 故障损失率
     */
    private BigDecimal daynhgzssrate;

    /**
     * 限电损失电量
     */
    private BigDecimal daynhxdssdl;

    /**
     * 限电损失率
     */
    private BigDecimal daynhxdssrate;

    /**
     * 性能损失电量
     */
    private BigDecimal daynhqfdl;

    /**
     * 性能损失率
     */
    private BigDecimal daynhqfrate;

    /**
     * 受累损失电量
     */
    private BigDecimal daynhcfdl;

    /**
     * 受累损失率
     */
    private BigDecimal daynhcfrate;

    /**
     * 故障次数
     */
    private Integer faultCount;

    /**
     * 故障时间
     */
    private BigDecimal faultTime;

    /**
     * 风机台数
     */
    private Integer wtcount;

    /**
     * 日历时间
     */
    private BigDecimal calendarTime;

    /**
     * 应复位次数
     */
    private BigDecimal theoresetTimes;

    /**
     * 实际复位次数
     */
    private BigDecimal resetTimes;

    /**
     * 应转换次数
     */
    private BigDecimal theoconversionTimes;

    /**
     * 实际转换次数
     */
    private BigDecimal conversionTimes;

    /**
     * 应消缺次数
     */
    private BigDecimal theofaultCount;

    /**
     * 实际消缺次数
     */
    private BigDecimal rightCount;

    /**
     * 年
     */
    private Integer year;

    /**
     * 月
     */
    private Integer month;

    /**
     * 综合场用电量
     */
    private BigDecimal zhcydl;

    /**
     * 实际发电量(电计量)
     */
    private BigDecimal generatingcapacity2;


}
