package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 动态功率数据
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconActivePowerData extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风场编号
     */
    @TableField("windPowerStation_Id")
    private String windpowerstationId;

    /**
     * 风机编号
     */
    @TableField("windTurbine_Id")
    private String windturbineId;

    /**
     * 型号编号
     */
    @TableField("model_Id")
    private String modelId;

    /**
     * 时间
     */
    @TableField("record_Date")
    private LocalDate recordDate;

    /**
     * 风速
     */
    private BigDecimal speed;

    /**
     * 功率
     */
    private BigDecimal power;

    /**
     * 频率
     */
    private BigDecimal frequency;

    /**
     * 风机编码
     */
    @TableField("windTurbine_Code")
    private String windturbineCode;

    /**
     * 型号名称
     */
    @TableField("model_Name")
    private String modelName;


}
