package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 对标管理
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconBenchmark extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 场站
     */
    private String foreignKeyId;

    /**
     * 评分
     */
    private BigDecimal mark;

    /**
     * 装机容量
     */
    private BigDecimal capacity;

    /**
     * 接入台数
     */
    private Integer units;

    /**
     * 理论发电量
     */
    private BigDecimal theoreticalPower;

    /**
     * 实际发电量
     */
    private BigDecimal actualPower;

    /**
     * 故障损失电量
     */
    private BigDecimal daynhgzssdl;

    /**
     * 维护损失电量
     */
    private BigDecimal daynhwhssdl;

    /**
     * 限电损失电量
     */
    private BigDecimal daynhxdssdl;

    /**
     * 性能损失电量
     */
    private BigDecimal daynhqfdl;

    /**
     * 受累损失电量
     */
    private BigDecimal daynhcfdl;

    /**
     * 风能利用率
     */
    private BigDecimal windenergy;

    /**
     * 限电率
     */
    private BigDecimal powerLossRate;

    /**
     * 性能率
     */
    private BigDecimal performanceLossRate;

    /**
     * 综合厂用电率
     */
    private BigDecimal comprehensiveRate;

    /**
     * 设备利用小时
     */
    private BigDecimal utilizationHours;

    /**
     * 风功率预测准确率
     */
    private BigDecimal windpowerAccuracy;

    /**
     * AGC曲线跟随率
     */
    private BigDecimal agcCurvefollowing;

    /**
     * mtbf
     */
    private BigDecimal mtbf;

    /**
     * mttf
     */
    private BigDecimal mttf;

    /**
     * 设备可利用率
     */
    private BigDecimal availability;

    /**
     * 等效可用系数
     */
    private BigDecimal availabilityFactor;

    /**
     * 非计划检修损失率
     */
    private BigDecimal failureLossRate;

    /**
     * 计划检修损失率
     */
    private BigDecimal mainLossRate;

    /**
     * mttr
     */
    private BigDecimal mttr;

    /**
     * 隐患发现及时率
     */
    private BigDecimal hiddenTimely;

    /**
     * 复位及时率
     */
    private BigDecimal resetTimelyRate;

    /**
     * 状态转换率
     */
    private BigDecimal stateTransitionRate;

    /**
     * 消缺及时率
     */
    private BigDecimal eliminationRate;

    /**
     * 平均风速
     */
    private BigDecimal speed;

    /**
     * 静风频率
     */
    private BigDecimal staticWindFrequency;

    /**
     * 有效风时率
     */
    private BigDecimal effectiveWindHourRate;


}
