package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 电气测点
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconElectricaltestPoint extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 实时库名称
     */
    private String aname;

    /**
     * 型号
     */
    private String model;

    /**
     * 单位
     */
    @TableField("value_Unit")
    private String valueUnit;

    /**
     * 英文名称
     */
    @TableField("english_Name")
    private String englishName;

    /**
     * 类型编号
     */
    @TableField("type_Id")
    private String typeId;

    /**
     * 所属型号
     */
    @TableField("model_Id")
    private String modelId;

    /**
     * 最大值
     */
    @TableField("maxVal")
    private BigDecimal maxVal;

    /**
     * 最小值
     */
    @TableField("MinVal")
    private BigDecimal MinVal;

    /**
     * 合理最大值
     */
    @TableField("reasonable_MaxVal")
    private BigDecimal reasonableMaxval;

    /**
     * 合理最小值
     */
    @TableField("reasonable_MinVal")
    private BigDecimal reasonableMinval;

    /**
     * 变电所编号
     */
    private String electricalId;

    /**
     * 统一编码
     */
    @TableField("uniform_Code")
    private String uniformCode;

    /**
     * 短ID
     */
    @TableField("short_Id")
    private String shortId;

    /**
     * 长ID
     */
    @TableField("long_Id")
    private String longId;

    /**
     * 风场编号
     */
    @TableField("windPowerStation_Id")
    private String windpowerstationId;

    /**
     * 实时配置编号
     */
    @TableField("real_Time_Id")
    private String realTimeId;

    /**
     * 集团测点编号
     */
    private String groupPointId;

    /**
     * 具体名称
     */
    private String specificName;


}
