package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备日明细
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentDayDetailed extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 项目
     */
    private String projectId;

    /**
     * 线路
     */
    private String lineId;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 发电量
     */
    private BigDecimal genecapacity;

    /**
     * 理论发电量
     */
    private BigDecimal therogenecapacity;

    /**
     * 风速
     */
    private BigDecimal speed;

    /**
     * 检修损失
     */
    private BigDecimal daynhwhssdl1;

    /**
     * 受累检修
     */
    private BigDecimal daynhwhssdl2;

    /**
     * 故障损失电量
     */
    private BigDecimal daynhgzssdl1;

    /**
     * 受累故障
     */
    private BigDecimal daynhgzssdl2;

    /**
     * 欠发限电
     */
    private BigDecimal daynhxdssdl1;

    /**
     * 限电损失电量
     */
    private BigDecimal daynhxdssdl2;

    /**
     * 待机性能
     */
    private BigDecimal daynhqfdl1;

    /**
     * 手动停机
     */
    private BigDecimal daynhqfdl2;

    /**
     * 性能损失电量
     */
    private BigDecimal daynhqfdl3;

    /**
     * 缺陷损失性能
     */
    private BigDecimal daynhqfdl4;

    /**
     * 电网受累损失
     */
    private BigDecimal daynhcfdl1;

    /**
     * 天气受累损失
     */
    private BigDecimal daynhcfdl2;


}
