package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 电设备15分钟信息表
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentInfo15minute extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    private String regionId;

    /**
     * 15分钟故障小时（明细）
     */
    private BigDecimal fgzxsmx;

    /**
     * 15分钟场内受累故障小时（明细）
     */
    private BigDecimal fcnslgzxsmx;

    /**
     * 15分钟检修小时（明细）
     */
    private BigDecimal fjxxsmx;

    /**
     * 15分钟场内受累检修小时（明细）
     */
    private BigDecimal fcnsljxxsmx;

    /**
     * 15分钟待机小时（明细）
     */
    private BigDecimal fdjxsmx;

    /**
     * 15分钟缺陷降出力小时（明细）
     */
    private BigDecimal fqxjclxsmx;

    /**
     * 15分钟手动停机小时（明细）
     */
    private BigDecimal fsdtjxsmx;

    /**
     * 15分钟并网小时（明细）
     */
    private BigDecimal fbwxsmx;

    /**
     * 15分钟限电停机小时（明细）
     */
    private BigDecimal fxdtjxsmx;

    /**
     * 15分钟限电降出力小时（明细）
     */
    private BigDecimal fxdjclxsmx;

    /**
     * 15分钟场外受累电网小时（明细）
     */
    private BigDecimal fcwsldwxsmx;

    /**
     * 15分钟场外受累天气小时（明细）
     */
    private BigDecimal fcwsltqxsmx;

    /**
     * 15分钟离线小时（明细）
     */
    private BigDecimal flxxsmx;

    /**
     * 15分钟通讯中断小时（明细）
     */
    private BigDecimal ftxzdxsmx;

    /**
     * 15分钟待机小时
     */
    private BigDecimal fdjxs;

    /**
     * 15分钟故障停机小时
     */
    private BigDecimal fgztjxs;

    /**
     * 15分钟通讯中断小时
     */
    private BigDecimal ftxzdxs;

    /**
     * 15分钟维护停机小时
     */
    private BigDecimal fjxtjxs;

    /**
     * 15分钟限电小时
     */
    private BigDecimal fxdxs;

    /**
     * 15分钟运行小时
     */
    private BigDecimal fyxxs;

    /**
     * 15分钟受累小时
     */
    private BigDecimal fslxs;

    /**
     * 15分钟平均风速
     */
    private BigDecimal fpjfs;

    /**
     * 15分钟平均功率
     */
    private BigDecimal fpjgl;

    /**
     * 15分钟发电量
     */
    private BigDecimal ffdl;


}
