package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 五损时间
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentInfoDay2 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    private String regionId;

    /**
     * 日故障小时（明细）
     */
    private BigDecimal rgzxsmx;

    /**
     * 日场内受累故障小时（明细）
     */
    private BigDecimal rcnslgzxsmx;

    /**
     * 日检修小时（明细）
     */
    private BigDecimal rjxxsmx;

    /**
     * 日场内受累检修小时（明细）
     */
    private BigDecimal rcnsljxxsmx;

    /**
     * 日待机小时（明细）
     */
    private BigDecimal rdjxsmx;

    /**
     * 日缺陷降出力小时（明细）
     */
    private BigDecimal rqxjclxsmx;

    /**
     * 日手动停机小时（明细）
     */
    private BigDecimal rsdtjxsmx;

    /**
     * 日并网小时（明细）
     */
    private BigDecimal rbwxsmx;

    /**
     * 日限电停机小时（明细）
     */
    private BigDecimal rxdtjxsmx;

    /**
     * 日限电降出力小时（明细）
     */
    private BigDecimal rxdjclxsmx;

    /**
     * 日场外受累电网小时（明细）
     */
    private BigDecimal rcwsldwxsmx;

    /**
     * 日场外受累天气小时（明细）
     */
    private BigDecimal rcwsltqxsmx;

    /**
     * 日离线小时（明细）
     */
    private BigDecimal rlxxsmx;

    /**
     * 日通讯中断小时（明细）
     */
    private BigDecimal rtxzdxsmx;

    /**
     * 日待机小时
     */
    private BigDecimal rdjxs;

    /**
     * 日故障停机小时
     */
    private BigDecimal rgztjxs;

    /**
     * 日通讯中断小时
     */
    private BigDecimal rtxzdxs;

    /**
     * 日维护停机小时
     */
    private BigDecimal rjxtjxs;

    /**
     * 日限电小时
     */
    private BigDecimal rxdxs;

    /**
     * 日运行小时
     */
    private BigDecimal ryxxs;

    /**
     * 月故障小时（明细）
     */
    private BigDecimal ygzxsmx;

    /**
     * 月场内受累故障小时（明细）
     */
    private BigDecimal ycnslgzxsmx;

    /**
     * 月检修小时（明细）
     */
    private BigDecimal yjxxsmx;

    /**
     * 月场内受累检修小时（明细）
     */
    private BigDecimal ycnsljxxsmx;

    /**
     * 月待机小时（明细）
     */
    private BigDecimal ydjxsmx;

    /**
     * 月缺陷降出力小时（明细）
     */
    private BigDecimal yqxjclxsmx;

    /**
     * 月手动停机小时（明细）
     */
    private BigDecimal ysdtjxsmx;

    /**
     * 月并网小时（明细）
     */
    private BigDecimal ybwxsmx;

    /**
     * 月限电停机小时（明细）
     */
    private BigDecimal yxdtjxsmx;

    /**
     * 月限电降出力小时（明细）
     */
    private BigDecimal yxdjclxsmx;

    /**
     * 月场外受累电网小时（明细）
     */
    private BigDecimal ycwsldwxsmx;

    /**
     * 月场外受累天气小时（明细）
     */
    private BigDecimal ycwsltqxsmx;

    /**
     * 月离线小时（明细）
     */
    private BigDecimal ylxxsmx;

    /**
     * 月通讯中断小时（明细）
     */
    private BigDecimal ytxzdxsmx;

    /**
     * 月待机小时
     */
    private BigDecimal ydjxs;

    /**
     * 月故障停机小时
     */
    private BigDecimal ygztjxs;

    /**
     * 月通讯中断小时
     */
    private BigDecimal ytxzdxs;

    /**
     * 月维护停机小时
     */
    private BigDecimal yjxtjxs;

    /**
     * 月限电小时
     */
    private BigDecimal yxdxs;

    /**
     * 月运行小时
     */
    private BigDecimal yyxxs;

    /**
     * 年故障小时（明细）
     */
    private BigDecimal ngzxsmx;

    /**
     * 年场内受累故障小时（明细）
     */
    private BigDecimal ncnslgzxsmx;

    /**
     * 年检修小时（明细）
     */
    private BigDecimal njxxsmx;

    /**
     * 年场内受累检修小时（明细）
     */
    private BigDecimal ncnsljxxsmx;

    /**
     * 年待机小时（明细）
     */
    private BigDecimal ndjxsmx;

    /**
     * 年缺陷降出力小时（明细）
     */
    private BigDecimal nqxjclxsmx;

    /**
     * 年手动停机小时（明细）
     */
    private BigDecimal nsdtjxsmx;

    /**
     * 年并网小时（明细）
     */
    private BigDecimal nbwxsmx;

    /**
     * 年限电停机小时（明细）
     */
    private BigDecimal nxdtjxsmx;

    /**
     * 年限电降出力小时（明细）
     */
    private BigDecimal nxdjclxsmx;

    /**
     * 年场外受累电网小时（明细）
     */
    private BigDecimal ncwsldwxsmx;

    /**
     * 年场外受累天气小时（明细）
     */
    private BigDecimal ncwsltqxsmx;

    /**
     * 年离线小时（明细）
     */
    private BigDecimal nlxxsmx;

    /**
     * 年通讯中断小时（明细）
     */
    private BigDecimal ntxzdxsmx;

    /**
     * 年待机小时
     */
    private BigDecimal ndjxs;

    /**
     * 年故障停机小时
     */
    private BigDecimal ngztjxs;

    /**
     * 年通讯中断小时
     */
    private BigDecimal ntxzdxs;

    /**
     * 年维护停机小时
     */
    private BigDecimal njxtjxs;

    /**
     * 年限电小时
     */
    private BigDecimal nxdxs;

    /**
     * 年运行小时
     */
    private BigDecimal nyxxs;

    /**
     * 日受累小时
     */
    private BigDecimal rslxs;

    /**
     * 月受累小时
     */
    private BigDecimal yslxs;

    /**
     * 年受累小时
     */
    private BigDecimal nslxs;


}
