package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 五损次数
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentInfoDay3 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    private String regionId;

    /**
     * 日故障次数（明细）
     */
    private BigDecimal rgzcsmx;

    /**
     * 日场内受累故障次数（明细）
     */
    private BigDecimal rcnslgzcsmx;

    /**
     * 日检修次数（明细）
     */
    private BigDecimal rjxcsmx;

    /**
     * 日场内受累检修次数（明细）
     */
    private BigDecimal rcnsljxcsmx;

    /**
     * 日待机次数（明细）
     */
    private BigDecimal rdjcsmx;

    /**
     * 日缺陷降出力次数（明细）
     */
    private BigDecimal rqxjclcsmx;

    /**
     * 日手动停机次数（明细）
     */
    private BigDecimal rsdtjcsmx;

    /**
     * 日并网次数（明细）
     */
    private BigDecimal rbwcsmx;

    /**
     * 日限电停机次数（明细）
     */
    private BigDecimal rxdtjcsmx;

    /**
     * 日限电降出力次数（明细）
     */
    private BigDecimal rxdjclcsmx;

    /**
     * 日场外受累电网次数（明细）
     */
    private BigDecimal rcwsldwcsmx;

    /**
     * 日场外受累天气次数（明细）
     */
    private BigDecimal rcwsltqcsmx;

    /**
     * 日离线次数（明细）
     */
    private BigDecimal rlxcsmx;

    /**
     * 日通讯中断次数（明细）
     */
    private BigDecimal rtxzdcsmx;

    /**
     * 日待机次数
     */
    private BigDecimal rdjcs;

    /**
     * 日故障停机次数
     */
    private BigDecimal rgztjcs;

    /**
     * 日通讯中断次数
     */
    private BigDecimal rtxzdcs;

    /**
     * 日维护停机次数
     */
    private BigDecimal rjxtjcs;

    /**
     * 日限电次数
     */
    private BigDecimal rxdcs;

    /**
     * 日运行次数
     */
    private BigDecimal ryxcs;

    /**
     * 月故障次数（明细）
     */
    private BigDecimal ygzcsmx;

    /**
     * 月场内受累故障次数（明细）
     */
    private BigDecimal ycnslgzcsmx;

    /**
     * 月检修次数（明细）
     */
    private BigDecimal yjxcsmx;

    /**
     * 月场内受累检修次数（明细）
     */
    private BigDecimal ycnsljxcsmx;

    /**
     * 月待机次数（明细）
     */
    private BigDecimal ydjcsmx;

    /**
     * 月缺陷降出力次数（明细）
     */
    private BigDecimal yqxjclcsmx;

    /**
     * 月手动停机次数（明细）
     */
    private BigDecimal ysdtjcsmx;

    /**
     * 月并网次数（明细）
     */
    private BigDecimal ybwcsmx;

    /**
     * 月限电停机次数（明细）
     */
    private BigDecimal yxdtjcsmx;

    /**
     * 月限电降出力次数（明细）
     */
    private BigDecimal yxdjclcsmx;

    /**
     * 月场外受累电网次数（明细）
     */
    private BigDecimal ycwsldwcsmx;

    /**
     * 月场外受累天气次数（明细）
     */
    private BigDecimal ycwsltqcsmx;

    /**
     * 月离线次数（明细）
     */
    private BigDecimal ylxcsmx;

    /**
     * 月通讯中断次数（明细）
     */
    private BigDecimal ytxzdcsmx;

    /**
     * 月待机次数
     */
    private BigDecimal ydjcs;

    /**
     * 月故障停机次数
     */
    private BigDecimal ygztjcs;

    /**
     * 月通讯中断次数
     */
    private BigDecimal ytxzdcs;

    /**
     * 月维护停机次数
     */
    private BigDecimal yjxtjcs;

    /**
     * 月限电次数
     */
    private BigDecimal yxdcs;

    /**
     * 月运行次数
     */
    private BigDecimal yyxcs;

    /**
     * 年故障次数（明细）
     */
    private BigDecimal ngzcsmx;

    /**
     * 年场内受累故障次数（明细）
     */
    private BigDecimal ncnslgzcsmx;

    /**
     * 年检修次数（明细）
     */
    private BigDecimal njxcsmx;

    /**
     * 年场内受累检修次数（明细）
     */
    private BigDecimal ncnsljxcsmx;

    /**
     * 年待机次数（明细）
     */
    private BigDecimal ndjcsmx;

    /**
     * 年缺陷降出力次数（明细）
     */
    private BigDecimal nqxjclcsmx;

    /**
     * 年手动停机次数（明细）
     */
    private BigDecimal nsdtjcsmx;

    /**
     * 年并网次数（明细）
     */
    private BigDecimal nbwcsmx;

    /**
     * 年限电停机次数（明细）
     */
    private BigDecimal nxdtjcsmx;

    /**
     * 年限电降出力次数（明细）
     */
    private BigDecimal nxdjclcsmx;

    /**
     * 年场外受累电网次数（明细）
     */
    private BigDecimal ncwsldwcsmx;

    /**
     * 年场外受累天气次数（明细）
     */
    private BigDecimal ncwsltqcsmx;

    /**
     * 年离线次数（明细）
     */
    private BigDecimal nlxcsmx;

    /**
     * 年通讯中断次数（明细）
     */
    private BigDecimal ntxzdcsmx;

    /**
     * 年待机次数
     */
    private BigDecimal ndjcs;

    /**
     * 年故障停机次数
     */
    private BigDecimal ngztjcs;

    /**
     * 年通讯中断次数
     */
    private BigDecimal ntxzdcs;

    /**
     * 年维护停机次数
     */
    private BigDecimal njxtjcs;

    /**
     * 年限电次数
     */
    private BigDecimal nxdcs;

    /**
     * 年运行次数
     */
    private BigDecimal nyxcs;

    /**
     * 日受累次数
     */
    private BigDecimal rslcs;

    /**
     * 月受累次数
     */
    private BigDecimal yslcs;

    /**
     * 年受累次数
     */
    private BigDecimal nslcs;


}
