package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 五损曲线偏差率切入性能
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentInfoDay4 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    private String regionId;

    /**
     * 日静风时长
     */
    private BigDecimal rjfsc;

    /**
     * 日有效风时数
     */
    private BigDecimal ryxfss;

    /**
     * 日小风切入风速
     */
    private BigDecimal rxfqrfs;

    /**
     * 日大风切入风速
     */
    private BigDecimal rdfqrfs;

    /**
     * 日小风切出风速
     */
    private BigDecimal rxfqcfs;

    /**
     * 日大风切出风速
     */
    private BigDecimal rdfqcfs;

    /**
     * 日额定风速
     */
    private BigDecimal redfs;

    /**
     * 日功率一致性系数
     */
    private BigDecimal rglyzxxs;

    /**
     * 日拟合优度
     */
    private BigDecimal rnhyd;

    /**
     * 日曲线偏差率最优保证
     */
    private BigDecimal rqxpcbzybz;

    /**
     * 日曲线偏差率最优实际
     */
    private BigDecimal rqxpcbzysj;

    /**
     * 日曲线偏差率保证实际
     */
    private BigDecimal rqxpcbbzsj;

    /**
     * 日曲线偏差率同比
     */
    private BigDecimal rqxpcbtb;

    /**
     * 日曲线偏差率环比
     */
    private BigDecimal rqxpcbhb;

    /**
     * 日曲线偏差率标杆
     */
    private BigDecimal rqxpcbbg;

    /**
     * 日3-5米曲线偏差率
     */
    private BigDecimal r35mqxpcl;

    /**
     * 日5-11米曲线偏差率
     */
    private BigDecimal r511mqxpcl;

    /**
     * 日11米以上曲线偏差率
     */
    private BigDecimal r11mycqxpcl;

    /**
     * 日对风偏差率（-50 +50之间）
     */
    private BigDecimal rdfpcl;

    /**
     * 日MTBF
     */
    @TableField("rMTBF")
    private BigDecimal rMTBF;

    /**
     * 日MTTR
     */
    @TableField("rMTTR")
    private BigDecimal rMTTR;

    /**
     * 日MTTF
     */
    @TableField("rMTTF")
    private BigDecimal rMTTF;

    /**
     * 日复位及时率
     */
    private BigDecimal rfwjsl;

    /**
     * 日状态转换及时率
     */
    private BigDecimal rztzhjsl;

    /**
     * 日故障消缺及时率
     */
    private BigDecimal rgzxqjsl;

    /**
     * 月静风时长
     */
    private BigDecimal yjfsc;

    /**
     * 月有效风时数
     */
    private BigDecimal yyxfss;

    /**
     * 月小风切入风速
     */
    private BigDecimal yxfqrfs;

    /**
     * 月大风切入风速
     */
    private BigDecimal ydfqrfs;

    /**
     * 月小风切出风速
     */
    private BigDecimal yxfqcfs;

    /**
     * 月大风切出风速
     */
    private BigDecimal ydfqcfs;

    /**
     * 月额定风速
     */
    private BigDecimal yedfs;

    /**
     * 月功率一致性系数
     */
    private BigDecimal yglyzxxs;

    /**
     * 月拟合优度
     */
    private BigDecimal ynhyd;

    /**
     * 月曲线偏差率最优保证
     */
    private BigDecimal yqxpcbzybz;

    /**
     * 月曲线偏差率最优实际
     */
    private BigDecimal yqxpcbzysj;

    /**
     * 月曲线偏差率保证实际
     */
    private BigDecimal yqxpcbbzsj;

    /**
     * 月曲线偏差率同比
     */
    private BigDecimal yqxpcbtb;

    /**
     * 月曲线偏差率环比
     */
    private BigDecimal yqxpcbhb;

    /**
     * 月曲线偏差率标杆
     */
    private BigDecimal yqxpcbbg;

    /**
     * 月3-5米曲线偏差率
     */
    private BigDecimal y35mqxpcl;

    /**
     * 月5-11米曲线偏差率
     */
    private BigDecimal y511mqxpcl;

    /**
     * 月11米以上曲线偏差率
     */
    private BigDecimal y11mycqxpcl;

    /**
     * 月对风偏差率（-50 +50之间）
     */
    private BigDecimal ydfpcl;

    /**
     * 月MTBF
     */
    @TableField("yMTBF")
    private BigDecimal yMTBF;

    /**
     * 月MTTR
     */
    @TableField("yMTTR")
    private BigDecimal yMTTR;

    /**
     * 月MTTF
     */
    @TableField("yMTTF")
    private BigDecimal yMTTF;

    /**
     * 月复位及时率
     */
    private BigDecimal yfwjsl;

    /**
     * 月状态转换及时率
     */
    private BigDecimal yztzhjsl;

    /**
     * 月故障消缺及时率
     */
    private BigDecimal ygzxqjsl;

    /**
     * 年静风时长
     */
    private BigDecimal njfsc;

    /**
     * 年有效风时数
     */
    private BigDecimal nyxfss;

    /**
     * 年小风切入风速
     */
    private BigDecimal nxfqrfs;

    /**
     * 年大风切入风速
     */
    private BigDecimal ndfqrfs;

    /**
     * 年小风切出风速
     */
    private BigDecimal nxfqcfs;

    /**
     * 年大风切出风速
     */
    private BigDecimal ndfqcfs;

    /**
     * 年额定风速
     */
    private BigDecimal nedfs;

    /**
     * 年功率一致性系数
     */
    private BigDecimal nglyzxxs;

    /**
     * 年拟合优度
     */
    private BigDecimal nnhyd;

    /**
     * 年曲线偏差率最优保证
     */
    private BigDecimal nqxpcbzybz;

    /**
     * 年曲线偏差率最优实际
     */
    private BigDecimal nqxpcbzysj;

    /**
     * 年曲线偏差率保证实际
     */
    private BigDecimal nqxpcbbzsj;

    /**
     * 年曲线偏差率同比
     */
    private BigDecimal nqxpcbtb;

    /**
     * 年曲线偏差率环比
     */
    private BigDecimal nqxpcbhb;

    /**
     * 年曲线偏差率标杆
     */
    private BigDecimal nqxpcbbg;

    /**
     * 年3-5米曲线偏差率
     */
    private BigDecimal n35mqxpcl;

    /**
     * 年5-11米曲线偏差率
     */
    private BigDecimal n511mqxpcl;

    /**
     * 年11米以上曲线偏差率
     */
    private BigDecimal n11mycqxpcl;

    /**
     * 年对风偏差率（-50 +50之间）
     */
    private BigDecimal ndfpcl;

    /**
     * 年MTBF
     */
    @TableField("nMTBF")
    private BigDecimal nMTBF;

    /**
     * 年MTTR
     */
    @TableField("nMTTR")
    private BigDecimal nMTTR;

    /**
     * 年MTTF
     */
    @TableField("nMTTF")
    private BigDecimal nMTTF;

    /**
     * 年复位及时率
     */
    private BigDecimal nfwjsl;

    /**
     * 年状态转换及时率
     */
    private BigDecimal nztzhjsl;

    /**
     * 年故障消缺及时率
     */
    private BigDecimal ngzxqjsl;


}
