package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 风机日信息表排行
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentInfoDayTop extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风场编号
     */
    @TableField("windPowerStation_Id")
    private String windpowerstationId;

    /**
     * 项目编号
     */
    @TableField("project_Id")
    private String projectId;

    /**
     * 线路编号
     */
    @TableField("line_Id")
    private String lineId;

    /**
     * 风机编号
     */
    @TableField("windTurbine_Id")
    private String windturbineId;

    /**
     * 日期
     */
    @TableField("record_Date")
    private LocalDate recordDate;

    /**
     * 发电量
     */
    private BigDecimal dayfdl;

    /**
     * 发电量月
     */
    private BigDecimal monthfdl;

    /**
     * 发电量年
     */
    private BigDecimal yearfdl;

    /**
     * 理论发电量
     */
    private BigDecimal dayllfdl;

    /**
     * 理论发电量月
     */
    private BigDecimal monthllfdl;

    /**
     * 理论发电量年
     */
    private BigDecimal yearllfdl;

    /**
     * 平均风速
     */
    private BigDecimal dayfs;

    /**
     * 月平均风速
     */
    private BigDecimal monthfs;

    /**
     * 年平均风速
     */
    private BigDecimal yearfs;

    /**
     * 平均功率
     */
    private BigDecimal daygl;

    /**
     * 月平均功率
     */
    private BigDecimal monthgl;

    /**
     * 年平均功率
     */
    private BigDecimal yeargl;

    /**
     * 故障损失电量
     */
    private BigDecimal daygzssdl;

    /**
     * 月故障损失电量
     */
    private BigDecimal monthgzssdl;

    /**
     * 年故障损失电量
     */
    private BigDecimal yeargzssdl;

    /**
     * 日限电损失电量
     */
    private BigDecimal dayxdssdl;

    /**
     * 月限电损失电量
     */
    private BigDecimal monthxdssdl;

    /**
     * 年限电损失电量
     */
    private BigDecimal yearxdssdl;

    /**
     * 日维护损失电量
     */
    private BigDecimal daywhssdl;

    /**
     * 月维护损失电量
     */
    private BigDecimal monthwhssdl;

    /**
     * 年维护损失电量
     */
    private BigDecimal yearwhssdl;

    /**
     * 日性能损失电量
     */
    private BigDecimal dayxnssdl;

    /**
     * 月性能损失电量
     */
    private BigDecimal monthxnssdl;

    /**
     * 年性能损失电量
     */
    private BigDecimal yearxnssdl;

    /**
     * 日故障时间
     */
    private BigDecimal daygzsj;

    /**
     * 月故障时间
     */
    private BigDecimal monthgzsj;

    /**
     * 年故障时间
     */
    private BigDecimal yeargzsj;

    /**
     * 日维护时间
     */
    private BigDecimal daywhsj;

    /**
     * 月维护时间
     */
    private BigDecimal monthwhsj;

    /**
     * 年维护时间
     */
    private BigDecimal yearwhsj;

    /**
     * 日运行时间
     */
    private BigDecimal dayyxsj;

    /**
     * 月运行时间
     */
    private BigDecimal monthyxsj;

    /**
     * 年运行时间
     */
    private BigDecimal yearyxsj;

    /**
     * 日停机时间
     */
    private BigDecimal daytjsj;

    /**
     * 月停机时间
     */
    private BigDecimal monthtjsj;

    /**
     * 年停机时间
     */
    private BigDecimal yeartjsj;

    /**
     * 日利用小时数
     */
    @TableField("dayLYXS")
    private BigDecimal dayLYXS;

    /**
     * 月利用小时数
     */
    @TableField("monthLYXS")
    private BigDecimal monthLYXS;

    /**
     * 年利用小时数
     */
    @TableField("yearLYXS")
    private BigDecimal yearLYXS;

    /**
     * 日拟合优度
     */
    @TableField("dayNHYD")
    private BigDecimal dayNHYD;

    /**
     * 月拟合优度
     */
    @TableField("monthNHYD")
    private BigDecimal monthNHYD;

    /**
     * 年拟合优度
     */
    @TableField("yearNHYD")
    private BigDecimal yearNHYD;

    /**
     * 日设备可利用率
     */
    @TableField("daySBKLYL")
    private BigDecimal daySBKLYL;

    /**
     * 月设备可利用率
     */
    @TableField("monthSBKLYL")
    private BigDecimal monthSBKLYL;

    /**
     * 年设备可利用率
     */
    @TableField("yearSBKLYL")
    private BigDecimal yearSBKLYL;

    /**
     * 日等效可用系数
     */
    @TableField("dayDXKYXS")
    private BigDecimal dayDXKYXS;

    /**
     * 月等效可用系数
     */
    @TableField("monthDXKYXS")
    private BigDecimal monthDXKYXS;

    /**
     * 年等效可用系数
     */
    @TableField("yearDXKYXS")
    private BigDecimal yearDXKYXS;

    /**
     * 有效风时数
     */
    private BigDecimal dayyxfss;

    /**
     * 月有效风时数
     */
    private BigDecimal monthyxfss;

    /**
     * 年有效风时数
     */
    private BigDecimal yearyxfss;

    /**
     * 日小风切入
     */
    private BigDecimal dayxfqr;

    /**
     * 月小风切入
     */
    private BigDecimal monthxfqr;

    /**
     * 年小风切入
     */
    private BigDecimal yearxfqr;

    /**
     * 日静风频率
     */
    private BigDecimal dayjfpl;

    /**
     * 月静风频率
     */
    private BigDecimal monthjfpl;

    /**
     * 年静风频率
     */
    private BigDecimal yearjfpl;

    /**
     * 日功率一致性系数
     */
    private BigDecimal dayglyzxxs;

    /**
     * 月功率一致性系数
     */
    private BigDecimal monthglyzxxs;

    /**
     * 年功率一致性系数
     */
    private BigDecimal yearglyzxxs;

    /**
     * 类型
     */
    private Integer types;

    /**
     * 综合排名
     */
    @TableField("day_Rank")
    private Integer dayRank;

    /**
     * 年
     */
    private Integer year;

    /**
     * 月
     */
    private Integer month;

    /**
     * 分数
     */
    private BigDecimal dayScore;

    /**
     * 等级
     */
    @TableField("day_Level")
    private String dayLevel;


}
