package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 切入切出风速整合
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconInOrOutSpeedTotal extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    @TableField("windturbine_Id")
    private String windturbineId;

    /**
     * 日期
     */
    @TableField("record_Date")
    private LocalDate recordDate;

    /**
     * 日小风切入
     */
    private BigDecimal dayInputSmall;

    /**
     * 日小风切入最小值
     */
    private BigDecimal dayInputSmallMin;

    /**
     * 日小风切入最大值
     */
    private BigDecimal dayInputSmallMax;

    /**
     * 日大风切入
     */
    private BigDecimal dayInputBig;

    /**
     * 日大风切入最小值
     */
    private BigDecimal dayInputBigMin;

    /**
     * 日大风切入最大值
     */
    private BigDecimal dayInputBigMax;

    /**
     * 日小风切出
     */
    private BigDecimal dayOutputSmall;

    /**
     * 日小风切出最小值
     */
    private BigDecimal dayOutputSmallMin;

    /**
     * 日小风切出最大值
     */
    private BigDecimal dayOutputSmallMax;

    /**
     * 日大风切出
     */
    private BigDecimal dayOutputBig;

    /**
     * 日大风切出最小值
     */
    private BigDecimal dayOutputBigMin;

    /**
     * 日大风切出最大值
     */
    private BigDecimal dayOutputBigMax;

    /**
     * 月小风切入
     */
    private BigDecimal monthInputSmall;

    /**
     * 月小风切入最小值
     */
    private BigDecimal monthInputSmallMin;

    /**
     * 月小风切入最大值
     */
    private BigDecimal monthInputSmallMax;

    /**
     * 月大风切入
     */
    private BigDecimal monthInputBig;

    /**
     * 月大风切入最小值
     */
    private BigDecimal monthInputBigMin;

    /**
     * 月大风切入最大值
     */
    private BigDecimal monthInputBigMax;

    /**
     * 月小风切出
     */
    private BigDecimal monthOutputSmall;

    /**
     * 月小风切出最小值
     */
    private BigDecimal monthOutputSmallMin;

    /**
     * 月小风切出最大值
     */
    private BigDecimal monthOutputSmallMax;

    /**
     * 月大风切出
     */
    private BigDecimal monthOutputBig;

    /**
     * 月大风切出最小值
     */
    private BigDecimal monthOutputBigMin;

    /**
     * 月大风切出最大值
     */
    private BigDecimal monthOutputBigMax;

    /**
     * 年小风切入
     */
    private BigDecimal yearInputSmall;

    /**
     * 年小风切入最小值
     */
    private BigDecimal yearInputSmallMin;

    /**
     * 年小风切入最大值
     */
    private BigDecimal yearInputSmallMax;

    /**
     * 年大风切入
     */
    private BigDecimal yearInputBig;

    /**
     * 年大风切入最小值
     */
    private BigDecimal yearInputBigMin;

    /**
     * 年大风切入最大值
     */
    private BigDecimal yearInputBigMax;

    /**
     * 年小风切出
     */
    private BigDecimal yearOutputSmall;

    /**
     * 年小风切出最小值
     */
    private BigDecimal yearOutputSmallMin;

    /**
     * 年小风切出最大值
     */
    private BigDecimal yearOutputSmallMax;

    /**
     * 年大风切出
     */
    private BigDecimal yearOutputBig;

    /**
     * 年大风切出最小值
     */
    private BigDecimal yearOutputBigMin;

    /**
     * 年大风切出最大值
     */
    private BigDecimal yearOutputBigMax;

    /**
     * 小风切入
     */
    private BigDecimal inputSmall;

    /**
     * 小风切入最小值
     */
    private BigDecimal inputSmallMin;

    /**
     * 小风切入最大值
     */
    private BigDecimal inputSmallMax;

    /**
     * 大风切入
     */
    private BigDecimal inputBig;

    /**
     * 大风切入最小值
     */
    private BigDecimal inputBigMin;

    /**
     * 大风切入最大值
     */
    private BigDecimal inputBigMax;

    /**
     * 小风切出
     */
    private BigDecimal outputSmall;

    /**
     * 小风切出最小值
     */
    private BigDecimal outputSmallMin;

    /**
     * 小风切出最大值
     */
    private BigDecimal outputSmallMax;

    /**
     * 大风切出
     */
    private BigDecimal outputBig;

    /**
     * 大风切出最小值
     */
    private BigDecimal outputBigMin;

    /**
     * 大风切出最大值
     */
    private BigDecimal outputBigMax;

    /**
     * 日小风切入合格率
     */
    private BigDecimal dayInputSmallRatio;

    /**
     * 日小风切出合格率
     */
    private BigDecimal dayOutputSmallRatio;

    /**
     * 日大风切入合格率
     */
    private BigDecimal dayInputBigRatio;

    /**
     * 日大风切出合格率
     */
    private BigDecimal dayOutputBigRatio;

    /**
     * 月小风切入合格率
     */
    private BigDecimal monthInputSmallRatio;

    /**
     * 月小风切出合格率
     */
    private BigDecimal monthOutputSmallRatio;

    /**
     * 月大风切入合格率
     */
    private BigDecimal monthInputBigRatio;

    /**
     * 月大风切出合格率
     */
    private BigDecimal monthOutputBigRatio;

    /**
     * 年小风切入合格率
     */
    private BigDecimal yearInputSmallRatio;

    /**
     * 年小风切出合格率
     */
    private BigDecimal yearOutputSmallRatio;

    /**
     * 年大风切入合格率
     */
    private BigDecimal yearInputBigRatio;

    /**
     * 年大风切出合格率
     */
    private BigDecimal yearOutputBigRatio;

    /**
     * 总小风切入合格率
     */
    private BigDecimal inputSmallRatio;

    /**
     * 总小风切出合格率
     */
    private BigDecimal outputSmallRatio;

    /**
     * 总大风切入合格率
     */
    private BigDecimal inputBigRatio;

    /**
     * 总大风切出合格率
     */
    private BigDecimal outputBigMaxRatio;

    /**
     * 风场编号
     */
    @TableField("WindPowerStation_Id")
    private String windpowerstationId;

    /**
     * 工程编号
     */
    @TableField("Project_Id")
    private String projectId;

    /**
     * 线路编号
     */
    @TableField("Line_Id")
    private String lineId;

    /**
     * 类型(光伏、风电)
     */
    private String types;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    @TableField("region_Id")
    private String regionId;


}
