package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 切入切出风速整合２
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconInOrOutSpeedTotal2 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    @TableField("windturbine_Id")
    private String windturbineId;

    /**
     * 日期
     */
    @TableField("record_Date")
    private LocalDateTime recordDate;

    /**
     * 日小于2风次数（小风切入）
     */
    @TableField("dayA1")
    private BigDecimal dayA1;

    /**
     * 日2-2.5风次数（小风切入）
     */
    @TableField("dayA2")
    private BigDecimal dayA2;

    /**
     * 日2.5-3风次数（小风切入）
     */
    @TableField("dayA3")
    private BigDecimal dayA3;

    /**
     * 日3-3.5风次数（小风切入）
     */
    @TableField("dayA4")
    private BigDecimal dayA4;

    /**
     * 日3.5-4风次数（小风切入）
     */
    @TableField("dayA5")
    private BigDecimal dayA5;

    /**
     * 日4-5风次数（小风切入）
     */
    @TableField("dayA6")
    private BigDecimal dayA6;

    /**
     * 日大于5风次数（小风切入）
     */
    @TableField("dayA7")
    private BigDecimal dayA7;

    /**
     * 日小于2风频率（小风切入）
     */
    @TableField("dayA8")
    private BigDecimal dayA8;

    /**
     * 日2-2.5风频率（小风切入）
     */
    @TableField("dayA9")
    private BigDecimal dayA9;

    /**
     * 日2.5-3风频率（小风切入）
     */
    @TableField("dayA10")
    private BigDecimal dayA10;

    /**
     * 日3-3.5风频率（小风切入）
     */
    @TableField("dayA11")
    private BigDecimal dayA11;

    /**
     * 日3.5-4风频率（小风切入）
     */
    @TableField("dayA12")
    private BigDecimal dayA12;

    /**
     * 日4-5风频率（小风切入）
     */
    @TableField("dayA13")
    private BigDecimal dayA13;

    /**
     * 日大于5风频率（小风切入）
     */
    @TableField("dayA14")
    private BigDecimal dayA14;

    /**
     * 日小于2风次数（小风切出）
     */
    @TableField("dayB1")
    private BigDecimal dayB1;

    /**
     * 日2-2.5风次数（小风切出）
     */
    @TableField("dayB2")
    private BigDecimal dayB2;

    /**
     * 日2.5-3风次数（小风切出）
     */
    @TableField("dayB3")
    private BigDecimal dayB3;

    /**
     * 日3-3.5风次数（小风切出）
     */
    @TableField("dayB4")
    private BigDecimal dayB4;

    /**
     * 日3.5-4风次数（小风切出）
     */
    @TableField("dayB5")
    private BigDecimal dayB5;

    /**
     * 日4-5风次数（小风切出）
     */
    @TableField("dayB6")
    private BigDecimal dayB6;

    /**
     * 日大于5风次数（小风切出）
     */
    @TableField("dayB7")
    private BigDecimal dayB7;

    /**
     * 日小于2风频率（小风切出）
     */
    @TableField("dayB8")
    private BigDecimal dayB8;

    /**
     * 日2-2.5风频率（小风切出）
     */
    @TableField("dayB9")
    private BigDecimal dayB9;

    /**
     * 日2.5-3风频率（小风切出）
     */
    @TableField("dayB10")
    private BigDecimal dayB10;

    /**
     * 日3-3.5风频率（小风切出）
     */
    @TableField("dayB11")
    private BigDecimal dayB11;

    /**
     * 日3.5-4风频率（小风切出）
     */
    @TableField("dayB12")
    private BigDecimal dayB12;

    /**
     * 日4-5风频率（小风切出）
     */
    @TableField("dayB13")
    private BigDecimal dayB13;

    /**
     * 日大于5风频率（小风切出）
     */
    @TableField("dayB14")
    private BigDecimal dayB14;

    /**
     * 月小于2风次数（小风切入）
     */
    @TableField("monthA1")
    private BigDecimal monthA1;

    /**
     * 月2-2.5风次数（小风切入）
     */
    @TableField("monthA2")
    private BigDecimal monthA2;

    /**
     * 月2.5-3风次数（小风切入）
     */
    @TableField("monthA3")
    private BigDecimal monthA3;

    /**
     * 月3-3.5风次数（小风切入）
     */
    @TableField("monthA4")
    private BigDecimal monthA4;

    /**
     * 月3.5-4风次数（小风切入）
     */
    @TableField("monthA5")
    private BigDecimal monthA5;

    /**
     * 月4-5风次数（小风切入）
     */
    @TableField("monthA6")
    private BigDecimal monthA6;

    /**
     * 月大于5风次数（小风切入）
     */
    @TableField("monthA7")
    private BigDecimal monthA7;

    /**
     * 月小于2风频率（小风切入）
     */
    @TableField("monthA8")
    private BigDecimal monthA8;

    /**
     * 月2-2.5风频率（小风切入）
     */
    @TableField("monthA9")
    private BigDecimal monthA9;

    /**
     * 月2.5-3风频率（小风切入）
     */
    @TableField("monthA10")
    private BigDecimal monthA10;

    /**
     * 月3-3.5风频率（小风切入）
     */
    @TableField("monthA11")
    private BigDecimal monthA11;

    /**
     * 月3.5-4风频率（小风切入）
     */
    @TableField("monthA12")
    private BigDecimal monthA12;

    /**
     * 月4-5风频率（小风切入）
     */
    @TableField("monthA13")
    private BigDecimal monthA13;

    /**
     * 月大于5风频率（小风切入）
     */
    @TableField("monthA14")
    private BigDecimal monthA14;

    /**
     * 月小于2风次数（小风切出）
     */
    @TableField("monthB1")
    private BigDecimal monthB1;

    /**
     * 月2-2.5风次数（小风切出）
     */
    @TableField("monthB2")
    private BigDecimal monthB2;

    /**
     * 月2.5-3风次数（小风切出）
     */
    @TableField("monthB3")
    private BigDecimal monthB3;

    /**
     * 月3-3.5风次数（小风切出）
     */
    @TableField("monthB4")
    private BigDecimal monthB4;

    /**
     * 月3.5-4风次数（小风切出）
     */
    @TableField("monthB5")
    private BigDecimal monthB5;

    /**
     * 月4-5风次数（小风切出）
     */
    @TableField("monthB6")
    private BigDecimal monthB6;

    /**
     * 月大于5风次数（小风切出）
     */
    @TableField("monthB7")
    private BigDecimal monthB7;

    /**
     * 月小于2风频率（小风切出）
     */
    @TableField("monthB8")
    private BigDecimal monthB8;

    /**
     * 月2-2.5风频率（小风切出）
     */
    @TableField("monthB9")
    private BigDecimal monthB9;

    /**
     * 月2.5-3风频率（小风切出
     */
    @TableField("monthB10")
    private BigDecimal monthB10;

    /**
     * 月3-3.5风频率（小风切出）
     */
    @TableField("monthB11")
    private BigDecimal monthB11;

    /**
     * 月3.5-4风频率（小风切出）
     */
    @TableField("monthB12")
    private BigDecimal monthB12;

    /**
     * 月4-5风频率（小风切出）
     */
    @TableField("monthB13")
    private BigDecimal monthB13;

    /**
     * 月大于5风频率（小风切出）
     */
    @TableField("monthB14")
    private BigDecimal monthB14;

    /**
     * 年小于2风次数（小风切入）
     */
    @TableField("yearA1")
    private BigDecimal yearA1;

    /**
     * 年2-2.5风次数（小风切入）
     */
    @TableField("yearA2")
    private BigDecimal yearA2;

    /**
     * 年2.5-3风次数（小风切入）
     */
    @TableField("yearA3")
    private BigDecimal yearA3;

    /**
     * 年3-3.5风次数（小风切入）
     */
    @TableField("yearA4")
    private BigDecimal yearA4;

    /**
     * 年3.5-4风次数（小风切入）
     */
    @TableField("yearA5")
    private BigDecimal yearA5;

    /**
     * 年4-5风次数（小风切入）
     */
    @TableField("yearA6")
    private BigDecimal yearA6;

    /**
     * 年大于5风次数（小风切入）
     */
    @TableField("yearA7")
    private BigDecimal yearA7;

    /**
     * 年小于2风频率（小风切入）
     */
    @TableField("yearA8")
    private BigDecimal yearA8;

    /**
     * 年2-2.5风频率（小风切入）
     */
    @TableField("yearA9")
    private BigDecimal yearA9;

    /**
     * 年2.5-3风频率（小风切入）
     */
    @TableField("yearA10")
    private BigDecimal yearA10;

    /**
     * 年3-3.5风频率（小风切入）
     */
    @TableField("yearA11")
    private BigDecimal yearA11;

    /**
     * 年3.5-4风频率（小风切入）
     */
    @TableField("yearA12")
    private BigDecimal yearA12;

    /**
     * 年4-5风频率（小风切入）
     */
    @TableField("yearA13")
    private BigDecimal yearA13;

    /**
     * 年大于5风频率（小风切入）
     */
    @TableField("yearA14")
    private BigDecimal yearA14;

    /**
     * 年小于2风次数（小风切出）
     */
    @TableField("yearB1")
    private BigDecimal yearB1;

    /**
     * 年2-2.5风次数（小风切出）
     */
    @TableField("yearB2")
    private BigDecimal yearB2;

    /**
     * 年2.5-3风次数（小风切出）
     */
    @TableField("yearB3")
    private BigDecimal yearB3;

    /**
     * 年3-3.5风次数（小风切出）
     */
    @TableField("yearB4")
    private BigDecimal yearB4;

    /**
     * 年3.5-4风次数（小风切出）
     */
    @TableField("yearB5")
    private BigDecimal yearB5;

    /**
     * 年4-5风次数（小风切出）
     */
    @TableField("yearB6")
    private BigDecimal yearB6;

    /**
     * 年大于5风次数（小风切出）
     */
    @TableField("yearB7")
    private BigDecimal yearB7;

    /**
     * 年小于2风频率（小风切出）
     */
    @TableField("yearB8")
    private BigDecimal yearB8;

    /**
     * 年2-2.5风频率（小风切出）
     */
    @TableField("yearB9")
    private BigDecimal yearB9;

    /**
     * 年2.5-3风频率（小风切出）
     */
    @TableField("yearB10")
    private BigDecimal yearB10;

    /**
     * 年3-3.5风频率（小风切出）
     */
    @TableField("yearB11")
    private BigDecimal yearB11;

    /**
     * 年3.5-4风频率（小风切出）
     */
    @TableField("yearB12")
    private BigDecimal yearB12;

    /**
     * 年4-5风频率（小风切出）
     */
    @TableField("yearB13")
    private BigDecimal yearB13;

    /**
     * 年大于5风频率（小风切出）
     */
    @TableField("yearB14")
    private BigDecimal yearB14;

    /**
     * 风场编号
     */
    @TableField("WindPowerStation_Id")
    private String windpowerstationId;

    /**
     * 工程编号
     */
    @TableField("Project_Id")
    private String projectId;

    /**
     * 线路编号
     */
    @TableField("Line_Id")
    private String lineId;

    /**
     * 类型(光伏、风电)
     */
    private String typs;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    @TableField("region_Id")
    private String regionId;


}
