package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 测风塔出线功率
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconPowerstationInfoDay6 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 外键编号
     */
    private String foreignKeyId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 类型
     */
    private String type;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    private String regionId;

    /**
     * 所属位置(区域、区域风、区域光、公司、公司、公司风、公司光、场站、期次、线路)
     */
    private String location;

    /**
     * 日最大风速（测风塔）
     */
    private BigDecimal rzdfscft;

    /**
     * 日最小风速（测风塔）
     */
    private BigDecimal rzxfdcft;

    /**
     * 日最大功率（出线）
     */
    private BigDecimal rzdglcx;

    /**
     * 日最小功率（出线）
     */
    private BigDecimal rzxglcx;

    /**
     * 日平均功率（出线）
     */
    private BigDecimal rpjglcx;

    /**
     * 日平均风速（测风塔）
     */
    private BigDecimal rpjfscft;

    /**
     * 月最大风速（测风塔）
     */
    private BigDecimal yzdfscft;

    /**
     * 月最小风速（测风塔）
     */
    private BigDecimal yzxfdcft;

    /**
     * 月最大功率（出线）
     */
    private BigDecimal yzdglcx;

    /**
     * 月最小功率（出线）
     */
    private BigDecimal yzxglcx;

    /**
     * 月平均功率（出线）
     */
    private BigDecimal ypjglcx;

    /**
     * 月平均风速（测风塔）
     */
    private BigDecimal ypjfscft;

    /**
     * 年最大风速（测风塔）
     */
    private BigDecimal nzdfscft;

    /**
     * 年最小风速（测风塔）
     */
    private BigDecimal nzxfdcft;

    /**
     * 年最大功率（出线）
     */
    private BigDecimal nzdglcx;

    /**
     * 年最小功率（出线）
     */
    private BigDecimal nzxglcx;

    /**
     * 年平均功率（出线）
     */
    private BigDecimal npjglcx;

    /**
     * 年平均风速（测风塔）
     */
    private BigDecimal npjfscft;


}
