package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 型号逻辑测点
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconTestingPoint extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 型号
     */
    private String modelId;

    /**
     * 单位
     */
    private String valueUnit;

    /**
     * 英文名称
     */
    private String englishName;

    /**
     * 类型编号
     */
    private String typeId;

    /**
     * 最大值
     */
    private BigDecimal maxval;

    /**
     * 最小值
     */
    private BigDecimal minval;

    /**
     * 合理最大值
     */
    private BigDecimal reasonableMaxval;

    /**
     * 合理最小值
     */
    private BigDecimal reasonableMinval;

    /**
     * 统一编码
     */
    private String uniformCode;

    /**
     * 部件编号
     */
    private String logicalUnitId;

    /**
     * 是否显示
     */
    private Integer isDisplay;

    /**
     * 备用1
     */
    private String spare1;

    /**
     * 备用2
     */
    private String spare2;

    /**
     * 备用3
     */
    private String spare3;

    /**
     * 备用4
     */
    private String spare4;


}
