package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 与停机事件关联（限电停机时），数据库中无关联，程序控制
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconWindturbineStatus2 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风场编号
     */
    @TableField("windPowerStation_Id")
    private String windpowerstationId;

    /**
     * 风机编号
     */
    @TableField("windTurbine_Id")
    private String windturbineId;

    /**
     * 结束时间
     */
    @TableField("stop_Time")
    private LocalDateTime stopTime;

    /**
     * 开始时间
     */
    @TableField("start_Time")
    private LocalDateTime startTime;

    /**
     * 持续小时数
     */
    @TableField("stop_Hours")
    private BigDecimal stopHours;

    /**
     * 损失电量
     */
    @TableField("loss_Power")
    private BigDecimal lossPower;

    /**
     * 停机事件编号
     */
    @TableField("shutdown_Event_Id")
    private String shutdownEventId;

    /**
     * 工程编号
     */
    @TableField("project_Id")
    private String projectId;

    /**
     * 状态码
     */
    @TableField("satus_Code")
    private Integer satusCode;

    /**
     * 状态描述
     */
    @TableField("status_Desc")
    private String statusDesc;

    /**
     * 瞬时风速
     */
    private BigDecimal speed;

    /**
     * 平均风速
     */
    private BigDecimal avgSpeed;


}
