package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 风机日性能分析表
 * </p>
 *
 * @author shilin
 * @since 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconWtAlysisDay extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private LocalDate recordDate;

    /**
     * 日发电量
     */
    private BigDecimal rfdl;

    /**
     * 月发电量
     */
    private BigDecimal yfdl;

    /**
     * 年发电量
     */
    private BigDecimal nfdl;

    /**
     * 日应发电量
     */
    private BigDecimal ryfdl;

    /**
     * 月应发电量
     */
    private BigDecimal yyfdl;

    /**
     * 年应发电量
     */
    private BigDecimal nyfdl;

    /**
     * 日平均功率
     */
    private BigDecimal rpjgl;

    /**
     * 月平均功率
     */
    private BigDecimal ypjgl;

    /**
     * 年平均功率
     */
    private BigDecimal npjgl;

    /**
     * 日平均风速
     */
    private BigDecimal rpjfs;

    /**
     * 月平均风速
     */
    private BigDecimal ypjfs;

    /**
     * 年平均风速
     */
    private BigDecimal npjfs;

    /**
     * 日运行小时
     */
    private BigDecimal ryxxs;

    /**
     * 月运行小时
     */
    private BigDecimal yyxxs;

    /**
     * 年运行小时
     */
    private BigDecimal nyxxs;

    /**
     * 日待机小时
     */
    private BigDecimal rdjxs;

    /**
     * 月待机小时
     */
    private BigDecimal ydjxs;

    /**
     * 年待机小时
     */
    private BigDecimal ndjxs;

    /**
     * 日故障小时
     */
    private BigDecimal rgzxs;

    /**
     * 月故障小时
     */
    private BigDecimal ygzxs;

    /**
     * 年故障小时
     */
    private BigDecimal ngzxs;

    /**
     * 日检修小时
     */
    private BigDecimal rjxxs;

    /**
     * 月检修小时
     */
    private BigDecimal yjxxs;

    /**
     * 年检修小时
     */
    private BigDecimal njxxs;

    /**
     * 日中断小时
     */
    private BigDecimal rzdxs;

    /**
     * 月中断小时
     */
    private BigDecimal yzdxs;

    /**
     * 年中断小时
     */
    private BigDecimal nzdxs;

    /**
     * 日有效风时
     */
    private BigDecimal ryxfs;

    /**
     * 月有效风时
     */
    private BigDecimal yyxfs;

    /**
     * 年有效风时
     */
    private BigDecimal nyxfs;

    /**
     * 日损失电量
     */
    private BigDecimal rssdl;

    /**
     * 月损失电量
     */
    private BigDecimal yssdl;

    /**
     * 年损失电量
     */
    private BigDecimal nssdl;

    /**
     * 日报警次数
     */
    private BigDecimal rbjcs;

    /**
     * 月报警次数
     */
    private BigDecimal ybjcs;

    /**
     * 年报警次数
     */
    private BigDecimal nbjcs;

    /**
     * 日停机次数
     */
    private BigDecimal rtjcs;

    /**
     * 月停机次数
     */
    private BigDecimal ytjcs;

    /**
     * 年停机次数
     */
    private BigDecimal ntjcs;

    /**
     * 日不饱和次数
     */
    private BigDecimal rbbhcs;

    /**
     * 月不饱和次数
     */
    private BigDecimal ybbhcs;

    /**
     * 年不饱和次数
     */
    private BigDecimal nbbhcs;

    /**
     * 日设备可利用率
     */
    private BigDecimal rsbklyl;

    /**
     * 月设备可利用率
     */
    private BigDecimal ysbklyl;

    /**
     * 年设备可利用率
     */
    private BigDecimal nsbklyl;

    /**
     * 日平均温度
     */
    private BigDecimal rpjwd;

    /**
     * 月平均温度
     */
    private BigDecimal ypjwd;

    /**
     * 年平均温度
     */
    private BigDecimal npjwd;

    /**
     * 日平均湿度
     */
    private BigDecimal rpjsd;

    /**
     * 月平均湿度
     */
    private BigDecimal ypjsd;

    /**
     * 年平均湿度
     */
    private BigDecimal npjsd;

    /**
     * 日平均压强
     */
    private BigDecimal rpjyq;

    /**
     * 月平均压强
     */
    private BigDecimal ypjyq;

    /**
     * 年平均压强
     */
    private BigDecimal npjyq;

    /**
     * 日拟合优度
     */
    private BigDecimal rnhyd;

    /**
     * 月拟合优度
     */
    private BigDecimal ynhyd;

    /**
     * 年拟合优度
     */
    private BigDecimal nnhyd;

    /**
     * 日实际/保证
     */
    private BigDecimal rsjbz;

    /**
     * 月实际/保证
     */
    private BigDecimal ysjbz;

    /**
     * 年实际/保正
     */
    private BigDecimal nsjbz;


}
