package com.gyee.generation.service.initialpoint;


import cn.hutool.core.util.ObjectUtil;
import com.gyee.generation.init.CacheContext;
import com.gyee.generation.mapper.auto.TaosMapper;
import com.gyee.generation.model.auto.*;
import com.gyee.generation.model.vo.AlarmSuperTalbeType;
import com.gyee.generation.util.realtimesource.IRealDataUtil;
import jakarta.annotation.Resource;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;


import java.util.*;

@Service
public class TaosInitalPonitService {
    @Resource
    private TaosMapper taosMapper;



    private static Logger logger = LoggerFactory.getLogger(TaosInitalPonitService.class);

    public void dropSuperTable() {
        taosMapper.dropSuperTable(AlarmSuperTalbeType.WT.getCode());
    }

    public void createSuperTable(String  subperTable) {

        taosMapper.createSuperTable(subperTable);
    }

    public void initalTaosPointTable() throws Exception {


        taosMapper.createSuperTable("JT_STA");

        List<ProBasicPowerstation> wpls=CacheContext.wpls;

        if(!wpls.isEmpty())
        {
            for (ProBasicPowerstation wp : wpls) {

                StringBuilder sb=new StringBuilder();
                sb.append(wp.getNemCode());

                createSuperTable(String.valueOf(sb));

                sb=new StringBuilder();
                sb.append(wp.getNemCode()).append("_SBS");

                createSuperTable(String.valueOf(sb));

                sb=new StringBuilder();
                sb.append(wp.getNemCode()).append("_WPF");

                createSuperTable(String.valueOf(sb));
                sb=new StringBuilder();
                sb.append(wp.getNemCode()).append("_EQ");

                createSuperTable(String.valueOf(sb));
            }
        }

        //集团测点建表
        Map<String, Map<String, ProBasicPowerstationPoint>> grouppointmap = CacheContext.grouppointmap;

        if(!grouppointmap.isEmpty())
        {
            for (Map.Entry<String, Map<String, ProBasicPowerstationPoint>> entry : grouppointmap.entrySet()) {

                for (Map.Entry<String, ProBasicPowerstationPoint> map : entry.getValue().entrySet()) {

                    System.out.println("Key = " + map.getKey() + ", Value = " + map.getValue());
                    taosMapper.createTable(map.getValue().getNemCode(),  "JT_STA");
                }

            }
        }

        //区域测点建表
        Map<String, Map<String, ProBasicPowerstationPoint>> regionpointmap = CacheContext.regionpointmap;

        if(!regionpointmap.isEmpty())
        {
            for (Map.Entry<String, Map<String, ProBasicPowerstationPoint>> entry : regionpointmap.entrySet()) {

                for (Map.Entry<String, ProBasicPowerstationPoint> map : entry.getValue().entrySet()) {

                    System.out.println("Key = " + map.getKey() + ", Value = " + map.getValue());
                    taosMapper.createTable(map.getValue().getNemCode(),  "JT_STA");
                }

            }
        }

        //公司测点建表
        Map<String, Map<String, ProBasicPowerstationPoint>> companypointmap = CacheContext.companypointmap;

        if(!companypointmap.isEmpty())
        {
            for (Map.Entry<String, Map<String, ProBasicPowerstationPoint>> entry : companypointmap.entrySet()) {

                for (Map.Entry<String, ProBasicPowerstationPoint> map : entry.getValue().entrySet()) {

                    System.out.println("Key = " + map.getKey() + ", Value = " + map.getValue());
                    taosMapper.createTable(map.getValue().getNemCode(),  "JT_STA");
                }

            }
        }


        //气象测点建表
        Map<String, Map<String, ProBasicPowerstationPoint>> wswppointmap = CacheContext.wswppointmap;

        if(!wswppointmap.isEmpty())
        {
            for (Map.Entry<String, Map<String, ProBasicPowerstationPoint>> entry : wswppointmap.entrySet()) {

                for (Map.Entry<String, ProBasicPowerstationPoint> map : entry.getValue().entrySet()) {


                    if(CacheContext.wsmap.containsKey(map.getValue().getWindpowerstationId()))
                    {
                        ProBasicWeatherStation ws=CacheContext.wsmap.get(map.getValue().getWindpowerstationId());
                        StringBuilder sb=new StringBuilder();
                        sb.append(ws.getWindpowerstationId()).append("_WPF");
                        System.out.println("Key = " + map.getKey() + ", Value = " + map.getValue());
                        taosMapper.createTable(map.getValue().getNemCode(),  String.valueOf(sb));
                    }

                }
            }
        }

        //升压站测点建表
        Map<String, Map<String, ProBasicPowerstationPoint>> subwppointmap = CacheContext.subwppointmap;

        if(!subwppointmap.isEmpty())
        {
            for (Map.Entry<String, Map<String, ProBasicPowerstationPoint>> entry : subwppointmap.entrySet()) {

                if(ObjectUtil.isNotEmpty(entry.getValue()))
                {
                    for (Map.Entry<String, ProBasicPowerstationPoint> map : entry.getValue().entrySet()) {
                        if(CacheContext.submap.containsKey(map.getValue().getWindpowerstationId()))
                        {
                            ProBasicSubStation sub=CacheContext.submap.get(map.getValue().getWindpowerstationId());
                            StringBuilder sb=new StringBuilder();
                            sb.append(sub.getWindpowerstationId()).append("_SBS");
                            System.out.println("Key = " + map.getKey() + ", Value = " + map.getValue());
                            taosMapper.createTable(map.getValue().getNemCode(),  String.valueOf(sb));
                        }

                    }
                }

            }
        }

        //场站测点建表
        Map<String, Map<String, ProBasicPowerstationPoint>> wppointmap = CacheContext.wppointmap;

        if(!wppointmap.isEmpty())
        {
            for (Map.Entry<String, Map<String, ProBasicPowerstationPoint>> entry : wppointmap.entrySet()) {

                for (Map.Entry<String, ProBasicPowerstationPoint> map : entry.getValue().entrySet()) {



                        StringBuilder sb=new StringBuilder();
                        sb.append(map.getValue().getWindpowerstationId());
                        System.out.println("Key = " + map.getKey() + ", Value = " + map.getValue());
                        taosMapper.createTable(map.getValue().getNemCode(),  String.valueOf(sb));


                }
            }
        }
        //项目测点建表
        Map<String, Map<String, ProBasicPowerstationPoint>> propointmap = CacheContext.propointmap;

        if(!propointmap.isEmpty())
        {
            for (Map.Entry<String, Map<String, ProBasicPowerstationPoint>> entry : propointmap.entrySet()) {

                for (Map.Entry<String, ProBasicPowerstationPoint> map : entry.getValue().entrySet()) {

                    if(CacheContext.pjmap.containsKey(map.getValue().getWindpowerstationId())) {
                        ProBasicProject pj = CacheContext.pjmap.get(map.getValue().getWindpowerstationId());
                        StringBuilder sb=new StringBuilder();
                        sb.append(pj.getWindpowerstationId());
                        System.out.println("Key = " + map.getKey() + ", Value = " + map.getValue());
                        taosMapper.createTable(map.getValue().getNemCode(),  String.valueOf(sb));
                    }

                }
            }
        }

        //线路测点建表
        Map<String, Map<String, ProBasicPowerstationPoint>> linepointmap = CacheContext.linepointmap;

        if(!linepointmap.isEmpty())
        {
            for (Map.Entry<String, Map<String, ProBasicPowerstationPoint>> entry : linepointmap.entrySet()) {

                for (Map.Entry<String, ProBasicPowerstationPoint> map : entry.getValue().entrySet()) {

                    if(CacheContext.lnmap.containsKey(map.getValue().getWindpowerstationId())) {
                        ProBasicLine ln = CacheContext.lnmap.get(map.getValue().getWindpowerstationId());
                        if(CacheContext.pjmap.containsKey(ln.getProjectId())) {
                            ProBasicProject pj = CacheContext.pjmap.get(ln.getProjectId());

                            StringBuilder sb=new StringBuilder();
                            sb.append(pj.getWindpowerstationId());
                            System.out.println("Key = " + map.getKey() + ", Value = " + map.getValue());
                            taosMapper.createTable(map.getValue().getNemCode(),  String.valueOf(sb));
                        }
                    }

                }
            }
        }

        //设备测点建表
        Map<String, Map<String, ProBasicEquipmentPoint>> eqpointmap = CacheContext.eqpointmap;

        if(!eqpointmap.isEmpty())
        {
            for (Map.Entry<String, Map<String, ProBasicEquipmentPoint>> entry : eqpointmap.entrySet()) {

                for (Map.Entry<String, ProBasicEquipmentPoint> map : entry.getValue().entrySet()) {

                    StringBuilder sb=new StringBuilder();
                    sb.append(map.getValue().getWindpowerstationId()).append("_EQ");
                    System.out.println("Key = " + map.getKey() + ", Value = " + map.getValue());
                    taosMapper.createTable(map.getValue().getNemCode(),  String.valueOf(sb));
                }
            }
        }

    }



}
